Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class UserProfileDefinition

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObjectDefinition

            |

            +--oracle.ifs.beans.PublicObjectDefinition

                  |

                  +--oracle.ifs.beans.UserProfileDefinition

Direct Known Subclasses:
  ExtendedUserProfileDefinition, PrimaryUserProfileDefinition

public class UserProfileDefinition
extends PublicObjectDefinition

The `UserProfileDefinition` class is used construct a UserProfile object. This subclass of ApplicationObjectObjectDefintion only sets the default ClassObject to "USER_PROFILE"; all other behavior is inherited.
An instance of a UserProfileDefinition is passed to LibrarySession.createUserProfile() to actually construct the new UserProfile.
The following code fragment would be used to construct a new ApplicationObject:

     UserProfileDefinition up_def = new UserProfileDefinition();

     // set the name of the new ApplicationObject
     up_def.setName("Bob_Smith");

     // create it
     UserProfile usr_profile = session.createUserProfile(up_def);

Note: All the methods of interest are actually in the base class, LibraryObjectDefinition.

Constructor Summary
`UserProfileDefinition(LibrarySession session)` Constructs a UserProfileDefinition explicitly capturing the session.

Method Summary
`void` | `addCategoryDefinition(CategoryDefinition def)` Adds a Category definition for the new PublicObject.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`getAddToFolderOption, getCategoryDefinitions, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifyDateOption, getLockForSessionOption, getSecuringPublicObject, getUnlockForSessionOption, setAddToFolderOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifyDateOption, setLockForSessionOption, setSecuringPublicObject, setUnlockForSessionOption`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`clone, getAttribute, getAttributes, getClassObject, getOption, getOptionKeys, removeAttribute, removeOption, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributes, setClassObject, setOption`

Constructor Detail

### UserProfileDefinition

    public UserProfileDefinition(LibrarySession session)
                          throws IfsException

  Constructs a UserProfileDefinition explicitly capturing the session.
  Parameters:
    `session` - the session
  Throws:
    `IfsException` - if the operation fails

Method Detail

### addCategoryDefinition

    public void addCategoryDefinition(CategoryDefinition def)
                               throws IfsException

  Adds a Category definition for the new PublicObject. This is overriden to force throwing an Exception, as UserProfile objects do not themselves have categories.
  Overrides:
    `addCategoryDefinition` in class `PublicObjectDefinition`
  Parameters:
    `def` - the Category definition for the new object.
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD